version: '1.0'
name: pipeline-build-20220901
displayName: pipeline-build
triggers:
  trigger: auto
  push:
    tags:
      prefix:
        - ''
  pr:
    branches:
      prefix:
        - ''
stages:
  - name: stage-82deebcf
    displayName: 构建
    strategy: naturally
    trigger: auto
    executor: []
    steps:
      - step: build@nodejs
        name: build_nodejs
        displayName: Nodejs 构建
        nodeVersion: 16.14.2
        commands:
          - '# 设置NPM源，提升安装速度'
          - npm config set registry https://registry.npmmirror.com
          - npm i yarn -g
          - yarn config set registry "https://registry.npmmirror.com"
          - yarn config set electron_builder_binaries_mirror "https://npmmirror.com/mirrors/electron-builder-binaries/"
          - yarn config set electron_mirror "https://code.gitlink.org.cn/shenmo7192/electron-releases/raw/branch/master/"
          - mkdir -p /root/.cache/electron-builder/app-builder/
          - mkdir ../release
          - ELECTRON_BUILDER_BINARIES_MIRROR =https://registry.npmmirror.com/binary.html?path=electron-builder-binaries/
          - '###'
          - mkdir -p /root/.cache/electron-builder/app-builder/app-builder-v0.6.1-x64
          - WORK_DIR=`pwd`
          - cd /root/.cache/electron-builder/app-builder/app-builder-v0.6.1-x64
          - 'wget https://code.gitlink.org.cn/shenmo7192/electron-releases/raw/branch/master/app-builder-v0.6.1-linux-x64.7z '
          - '7z x app-builder-v0.6.1-linux-x64.7z '
          - cd $WORK_DIR
          - '###'
          - mkdir -p /root/.cache/electron-builder/appimage/appimage-9.0.5
          - cd /root/.cache/electron-builder/appimage/appimage-9.0.5
          - wget https://code.gitlink.org.cn/shenmo7192/electron-releases/raw/branch/master/appimage-9.0.5.7z
          - 7z x appimage-9.0.5.7z
          - cd $WORK_DIR
          - '###'
          - 'mkdir -p /root/.cache/electron-builder/fpm/fpm-1.9.3-2.3.1-linux-x86_64 '
          - 'cd /root/.cache/electron-builder/fpm/fpm-1.9.3-2.3.1-linux-x86_64 '
          - wget https://code.gitlink.org.cn/shenmo7192/electron-releases/raw/branch/master/fpm-1.9.3-2.3.1-linux-x86_64.7z
          - 7z x fpm-1.9.3-2.3.1-linux-x86_64.7z
          - cd $WORK_DIR
          - '###'
          - yarn
          - yarn package-linux
          - mv ../release ./release
          - rm -r ./release/linux-unpacked
        artifacts:
          - name: BUILD_ARTIFACT
            path:
              - ./release
        caches: []
        notify: []
        strategy:
          retry: '0'
  - name: stage-cd5d9e5b
    displayName: 上传制品
    strategy: naturally
    trigger: auto
    executor: []
    steps:
      - step: publish@general_artifacts
        name: publish_general_artifacts
        displayName: 上传制品
        dependArtifact: BUILD_ARTIFACT
        artifactName: output
        notify: []
        strategy:
          retry: '0'
